EDIT - feature request #6566
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate main menu
04/11/2017 03:25 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.7

Severity: normal

Description

Related issues:

Related to EDIT - bug #6498: Refactor dynamic bulk editor menu into a declara... New

Associated revisions

Revision 5559¢1b5 - 04/11/2017 03:40 PM - Patrick Plitzner

ref #6566 Migrate org.eclipse.ui.main.menu.file menu

e Also migrate two help handlers

Revision d8e3f5f5 - 04/11/2017 04:49 PM - Patrick Plitzner

ref #6566 Migrate org.eclipse.ui.main.menu.edit menu

Revision dddcbc33 - 04/11/2017 06:34 PM - Patrick Plitzner

ref #6566 Migrate org.eclipse.ui.main.menu.window menu

Revision dbe4fe94 - 04/12/2017 08:04 AM - Patrick Plitzner

ref #6566 Avoid NPE when initializing term preference menu (e4 specific)

Revision ef32cd3e - 04/12/2017 05:28 PM - Patrick Plitzner

ref #6566 Migrate org.eclipse.ui.main.menu.admin DB items

Revision 03ab1009 - 04/12/2017 05:30 PM - Patrick Plitzner

ref #6566 Migrate "New" and "Save" buttons in main toolbar

Revision 2039a37e - 04/18/2017 02:42 PM - Patrick Plitzner

ref #6566 Initial import of taxeditor.workbench plugin - moved general menu contributions to this plugin

Revision 77e3b749 - 04/18/2017 02:44 PM - Patrick Plitzner

ref #6566 Add launch option to avoid application model caching

Revision ab4de114 - 04/18/2017 02:59 PM - Patrick Plitzner
ref #6566 Clean up of dependencies and i18n

Revision 50255733 - 04/18/2017 03:31 PM - Patrick Plitzner

ref #6566 Add CoreExpression to admin menu items

Revision 1104e1d6 - 04/18/2017 09:59 PM - Patrick Plitzner
ref #6566 Migrate help menu

Revision 4ed259bc - 04/19/2017 06:37 AM - Patrick Plitzner
ref #6566 Add workbench plugin to parent pom.xmi
Revision e78d65db - 04/19/2017 06:54 AM - Patrick Plitzner

ref #6566 Add pom.xml to workbench plugin and adapt MANIFEST.MF

Revision 0b611fb6 - 04/19/2017 08:38 AM - Patrick Plitzner

ref #6566 Sort main menu

Revision 5bea3b87 - 04/19/2017 10:17 AM - Patrick Plitzner

ref #6566 Refactor src folder to src/main/java

Revision 31103126 - 04/19/2017 10:20 AM - Patrick Plitzner
ref #6566 Configure build properties

Revision 15d272aa - 04/19/2017 11:23 AM - Patrick Plitzner
ref #6566 Migrate SearchBar

Revision 8846d4c1 - 04/24/2017 10:29 AM - Patrick Plitzner
ref #6566 Add generic "open part" handler to model fragment

Revision 5a2f3641 - 04/24/2017 10:30 AM - Patrick Plitzner
ref #6566 Add model fragment to build.properties

Revision 0f8746¢6 - 04/24/2017 10:30 AM - Patrick Plitzner

ref #6566 Migrate Sessions view

Revision 4fb56759 - 04/24/2017 10:30 AM - Patrick Plitzner
ref #6566 Migrate "Show View" entries

Revision 85fc6c9e - 06/16/2017 12:03 PM - Patrick Plitzner
ref #6566 Re-enable "Edit" menu

Revision 72083749 - 06/21/2017 10:00 AM - Patrick Plitzner

ref #6566 Remove session view from plugin.xml

Revision 1f67ba6d - 06/28/2017 10:28 AM - Patrick Plitzner

ref #6566 add Mnemonics to main menu

Revision 93¢8d152 - 09/13/2017 09:23 AM - Patrick Plitzner
ref #6566 Fix order of "Window" menu

Revision 3b2886bf - 11/07/2017 02:40 PM - Patrick Plitzner

ref #6566 Switch import export menu items

Revision 1ae56e08 - 03/07/2018 07:50 AM - Patrick Plitzner
ref #6566 Enable "Exit" menu item at startup

History

#1 - 04/11/2017 03:41 PM - Patrick Plitzner
- % Done changed from 0 to 20

#2 - 04/11/2017 03:41 PM - Patrick Plitzner

- Target version changed from Unassigned CDM tickets to Release 4.7

#3 - 04/19/2017 07:22 AM - Patrick Plitzner

- Related to bug #6498: Refactor dynamic bulk editor menu into a declarative one added

#4 - 05/04/2017 02:00 PM - Andreas Miller
- % Done changed from 20 to 60

#5 - 05/04/2017 02:02 PM - Andreas Miiller
- Status changed from New to Resolved

- Priority changed from New to Highest

Please create new ticket for open issues.

#6 - 05/05/2017 12:08 PM - Patrick Plitzner

- Status changed from Resolved to Closed

Created a ticket for remaining issues. #6622
Closing this one.

#7 - 05/05/2017 12:08 PM - Patrick Plitzner

- Tags set to eclipse4

#8 - 09/26/2017 04:52 PM - Patrick Plitzner
- % Done changed from 60 to 100
https://dev.e-taxonomy.eu/redmine/issues/6622
http://www.tcpdf.org

